# Uses of Class
org.apache.zookeeper.server.watch.WatchesPathReport

Packages that use WatchesPathReport
Package
Description
org.apache.zookeeper.server
ZooKeeper server theory of operation
org.apache.zookeeper.server.watch

## Uses of WatchesPathReport in org.apache.zookeeper.server

Methods in org.apache.zookeeper.server that return WatchesPathReport
Modifier and Type
Method
Description
`WatchesPathReport`
DataTree.`getWatchesByPath()`
Returns a watch report by path.

## Uses of WatchesPathReport in org.apache.zookeeper.server.watch

Methods in org.apache.zookeeper.server.watch that return WatchesPathReport
Modifier and Type
Method
Description
`WatchesPathReport`
IWatchManager.`getWatchesByPath()`
Returns a watch report by path.
`WatchesPathReport`
WatchManager.`getWatchesByPath()`
`WatchesPathReport`
WatchManagerOptimized.`getWatchesByPath()`
Iterate through ConcurrentHashMap is 'safe', it will reflect the state of the map at the time iteration began, may miss update while iterating, given this is used in the commands to get a general idea of the watches state, we don't care about missing some update.